This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 124376 - ipv6 create host lookup delays...
ipv6 create host lookup delays...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 23:19 EDT by daniel
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 07:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description daniel 2004-05-25 23:19:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a2)
Gecko/20040525 Firefox/0.8

Description of problem:
if you don't disable ipv6 from network-family 10, the name resolution
lookups induce a 20-30 seconds delay (with most routers, both sbc
static and dynamic configurations)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
following steps are trivial:

1. install fc2
2. configure network (make sure you have a dhcp enabled router)
3. instantiate your preferred browser (mozilla family). 
4. go to a web-site you've never gone before... register the status
bar delay message (resolving blah blah blah)
    

Actual Results:  status bar delay message (resolving blah blah blah)


Expected Results:  should have fast name resolution lookups

Additional info:

if you disable network family protocol 10 (defaulted to ipv6)
everything is cool (like it used to be in red hat 1..9)
Comment 1 Scott Sloan 2004-05-25 23:33:12 EDT
I'm pretty sure this is already know and is not a
redhat-config-network bug. A work around is available

as root:

echo "alias ipv6 off" >> /etc/modules.conf

However this will completely disable ipv6 if you use it. 
Comment 2 daniel 2004-05-25 23:52:11 EDT
right, it's kinda gross to completely disable ipv6...

why not going like:
{
as root:
echo "alias net-pf-10 off" >> /etc/modules.conf
}

this should disble only the 10th network protocol family! (this 
solves the problem once and 4all) - it would be nice if you shipp it 
that way...
Comment 3 daniel 2004-05-25 23:53:57 EDT
refine the workaround and shipp it...
Comment 4 Geoff 2004-07-05 12:26:30 EDT
That didn't work for me.
Putting:

alias net-pf-10 off

at the end of modprobe.conf did.

Now it's like lightning!

Note You need to log in before you can comment on or make changes to this bug.